# covid-19-public-data

A Renku project for aggregating data from various covid-19 public data sources.

See [Dashboard](covid-19-public-data/files/blob/runs/Dashboard.run.ipynb) for a summary of the data.

# Contributing

If you are interested in working on this project, we would love to get contributions. An easy contribution would be to add identifying and/or adding new data sources. See the section [Adding a new data source](#adding-a-new-data-source)

# Current Data Sources

## Covid-19

- https://github.com/CSSEGISandData/COVID-19

## General

- https://data.worldbank.org/indicator/SP.POP.TOTL
- https://worldmap.harvard.edu/data/geonode:country_centroids_az8

# Data Sources to Add

See the [data sources issue](https://renkulab.io/projects/covid-19/covid-19-public-data/collaboration/issues/1/).

## Adding a new data source

Adding a new data source is easy! To do so, in your fork or branch of the project, do the following:

* Create a renku dataset using `renku dataset create [dataset name]`
* Add any files or folders using `renku dataset add`. [Looking in the commit history will provide some examples](https://renkulab.io/gitlab/covid-19/covid-19-public-data/commits/master).
* Create a notebook that shows how to read and work with the dataset in the `notebooks/examples` folder
    * Protip: use a unique name for the notebook to avoid merge conflicts
* Add an issue to the project for any suggestions on things to do with the data
